<template lang="pug">
  div
    div(:key="i" v-for="(item, i) in signInProviderTabs")
      button.btn.btn-default.mx-2(@click.prevent="providerClick(item.label)" , :color="item.color" :class="item.icon") {{item.desc}}
</template>
<style lang="scss" scoped>
  button{
    font-size:12px;
    color:white;
    &:hover{
      color:white;
    }
  }
  .google{
    background:#dd4b39;
  }
  .facebook-square{
    background: #3b5998;
  }
</style>
<script>
  import {
    mapActions
  } from 'vuex'
  import {
    AUTH_REQUEST,
    REGISTER_EMAIL,
    USER_PROVIDER_SIGNIN
  } from '@/store/actions/auth'
  export default {
    // props: ['dialogSignin','setdialogSignin'],
    data() {
      const signin = 'Sign in',
        signup = 'Sign up',
        login = 'Login'
      return {
        signin,
        signup,
        login,
        // dialog: this.dialogSignin,
        signinsignup: `${signin} / ${signup}`,
        foregetPassword: 'Forget Password?',
        valid: false,
        formType: true,
        rememberMe: false,
        password: '',
        passwordConfirm: '',
        passwordRules: [
          v => !!v || 'Password is required'
        ],
        email: '',
        emailRules: [
          v => !!v || 'E-mail is required',
          v => /.+@.+/.test(v) || 'E-mail must be valid'
        ],
        signInProviderTabs: [{
          label: 'google',
            color:'#DB4437',
            icon: 'google',
            type: 'button',
            desc: 'Login with google'
          }
        ],
      }
    },
    computed: {
      credentials() {
        return {
          'email': this.email,
          'pass': this.password
        }
      },
    },
    methods: {
      submitForm() {
        const action = this.formType ? AUTH_REQUEST : REGISTER_EMAIL
        if (this.$refs.formSignin.validate()) {
          this.$store.dispatch(action, this.credentials).then((data) => {
            this.$router.push('/');
          }).catch((err) => {
            console.log(err)
          });
        }
      },
      providerClick(signInMethod){
        this.$store.dispatch(USER_PROVIDER_SIGNIN,signInMethod).then((data)=>{
            console.log(data)
        }).catch((err) => {
            console.log(err)
          })
      }
    },
    watch:{

    }
  }
</script>